org.apache.cassandra.cli.transport

## Class FramedTransportFactory

- java.lang.Object
- - org.apache.thrift.transport.TTransportFactory
  - - org.apache.cassandra.cli.transport.FramedTransportFactory

    public class FramedTransportFactory
    extends org.apache.thrift.transport.TTransportFactory

### Field Summary

Fields
`static int` `DEFAULT_MAX_FRAME_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`FramedTransportFactory()`

### Method Summary

Methods
`org.apache.thrift.transport.TTransport` `getTransport(org.apache.thrift.transport.TTransport base)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_MAX_FRAME_SIZE

    public static final int DEFAULT_MAX_FRAME_SIZE

See Also:
  Constant Field Values

### Constructor Detail

#### FramedTransportFactory

    public FramedTransportFactory()

### Method Detail

#### getTransport

    public org.apache.thrift.transport.TTransport getTransport(org.apache.thrift.transport.TTransport base)

Overrides:
  `getTransport` in class `org.apache.thrift.transport.TTransportFactory`